unit trace;

{$I define.pp}

interface

function HexByte(b:byte):string;
function HexWord(w:word):string;
function HexLong(l:longint):string;

procedure WrLogStr(s:string);
procedure CloseLog;

implementation

function HexByte(b:byte):string;
 const Hex:string = '0123456789ABCDEF';
 begin
  HexByte:=Hex[b div 16 + 1] + Hex[b mod 16 + 1];
 end;

function HexWord(w:word):string;
 begin HexWord:=HexByte(w shr 8) + HexByte(w and $FF) end;
function HexLong(l:longint):string;
 begin HexLong:=HexWord(l shr 16) + HexWord(l and $FFFF) end;

var t:text;

procedure WrLogStr(s:string);
 begin
  writeln(t,s);
  close(t); append(t);
 end;

procedure CloseLog; begin close(t) end;

begin
 assign(t,'trace.log'); rewrite(t);
end.

